.home {
    position: relative;
    z-index: 1;
    will-change: transform;
    height: 100dvh;
    min-height: 100svh;
    opacity: 0;
    transition: opacity 1s ease;
}

.home.active {
    opacity: 1;
}

.home video {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    backface-visibility: hidden;

    opacity: 0;
    visibility: hidden;
    z-index: 0;
}

.home video.active {
    opacity: 1;
    visibility: visible;
    z-index: 1;
}

.content-home {
    position: relative;
    inset: 0;
    height: 100dvh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: var(--text-primary);
    z-index: 2;
    opacity: 0;
    transform: scale(0);
    pointer-events: none;
}

.content-home h2 {
    font-size: 1rem;
    font-family: var(--font-body);
}

.content-home h1 {
    font-size: 3.5rem;
    font-family: var(--font-heading);
    font-weight: 700;
    color: var(--primary);
    margin: 1rem 0;
}

.content-home.show {
    animation: zoomIn 1.2s ease forwards;
}

@keyframes zoomIn {
    0% {
        opacity: 0;
        transform: scale(0);
    }
    100%    {
        opacity: 1;
        transform: scale(1);
    }
}